/*
 * (c) Copyright 2005 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.common.helper;

import java.text.DateFormatSymbols;
import java.text.SimpleDateFormat;
import java.util.Locale;

import cookxml.core.interfaces.Helper;

/**
 * This helper class is used to create a SimpleDateFormat object.
 *
 * @cxhelper java.text.SimpleDateFormat
 * 
 * @author Heng Yuan
 * @version $Id: SimpleDateFormatHelper.java 215 2007-06-06 03:59:41Z coconut $
 * @since CookXml 2.0
 */
public class SimpleDateFormatHelper implements Helper
{
	/** the required pattern for the date format. */
	public String pattern;
	/** optional locale for the date format. */
	public Locale locale;
	/** optional symbols to be used. */
	public DateFormatSymbols dateFormatSymbols;

	public Object getFinalObject () throws Exception
	{
		SimpleDateFormat dateFormat;
		if (locale != null)
			dateFormat = new SimpleDateFormat (pattern, locale);
		else
			dateFormat = new SimpleDateFormat (pattern);
		if (dateFormatSymbols != null)
			dateFormat.setDateFormatSymbols (dateFormatSymbols);
		return dateFormat;
	}
}
