/*
 * (c) Copyright 2006 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.common.util;

import cookxml.common.setter.ObjectOrHookVariableSetter;
import cookxml.core.taglibrary.SingleNSTagLibrary;

/**
 * @author Heng Yuan
 * @version $Id: Utils.java 215 2007-06-06 03:59:41Z coconut $
 * @since CookXml 3.0
 */
public class Utils
{
	/**
	 * A simple way of putting a setter that calls addxxxListener () function.
	 *
	 * @param	tagLibrary the tag library to be used.
	 * @param	tag the tag which would be considered
	 * @param	listenerClass the class of the listener
	 * @since CookXml 1.0
	 */
	public static void addListenerSetter (SingleNSTagLibrary tagLibrary, String tag, Class listenerClass)
	{
		String name = listenerClass.getName ();
		String listenerName = name.substring (name.lastIndexOf (".") + 1);
		tagLibrary.setSetter (tag, listenerName.toLowerCase (), new ObjectOrHookVariableSetter ("add" + listenerName, listenerClass));
	}
}
