/*
 * (c) Copyright 2005 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookbsf;

import org.apache.bsf.util.ObjectRegistry;

import cookxml.core.CookXml;
import cookxml.core.IdReference;

/**
 * This class is responsible for retrieving id from CookXml and use it as a global for BSF.
 *
 * @author Heng Yuan
 * @version $Id: CookXmlObjectRegistry.java 215 2007-06-06 03:59:41Z coconut $
 * @since BSF 1.0
 */
class CookXmlObjectRegistry extends ObjectRegistry
{
	private final CookXml m_cookXml;

	public CookXmlObjectRegistry (CookXml cookXml)
	{
		m_cookXml = cookXml;
	}

	public void register (String name, Object obj)
	{
	}

	public void unregister (String name)
	{
	}

	public Object lookup (String name)
	{
		IdReference idRef = m_cookXml.getId (name);
		if (idRef != null)
			return idRef.object;
		return null;
	}
}
