/*
 * (c) Copyright 2005 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookbsh;

import java.util.Collection;
import java.util.Map;
import java.util.Set;

import cookxml.core.CookXml;
import cookxml.core.IdReference;

/**
 * This class is to get an object based on id from CookXml.  This allows BeanShell
 * to lookup it up as a variable.
 *
 * @author Heng Yuan
 * @version $Id: CookXmlVarMap.java 215 2007-06-06 03:59:41Z coconut $
 * @since CookBSH 1.0
 */
class CookXmlVarMap implements Map
{
	private final CookXml m_cookXml;

    public CookXmlVarMap (CookXml cookXml)
	{
		m_cookXml = cookXml;
	}

	public int size ()
	{
		return 0;
	}

	public void clear ()
	{
	}

	public boolean isEmpty ()
	{
		return true;
	}

	public boolean containsKey (Object key)
	{
		return m_cookXml.getId ("" + key) != null;
	}

	public boolean containsValue (Object value)
	{
		return false;
	}

	public Collection values ()
	{
		return null;
	}

	public void putAll (Map t)
	{
	}

	public Set entrySet ()
	{
		return null;
	}

	public Set keySet ()
	{
		return null;
	}

	public Object get (Object key)
	{
		IdReference idRef = m_cookXml.getId ("" + key);
		if (idRef != null)
			return idRef.object;
		return null;
	}

	public Object remove (Object key)
	{
		return null;
	}

	public Object put (Object key, Object value)
	{
		return null;
	}
}
