/*
 * (c) Copyright 2006 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookformlayout.creator;

import java.awt.*;

import org.w3c.dom.Element;

import com.jgoodies.forms.layout.FormLayout;

import cookxml.cookformlayout.helper.PanelBuilderHelper;
import cookxml.cookformlayout.helper.SeparatorHelper;
import cookxml.core.CookXml;
import cookxml.core.DecodeEngine;
import cookxml.core.exception.CookXmlException;
import cookxml.core.exception.CreatorException;
import cookxml.core.interfaces.Creator;

/**
 * @author Heng Yuan
 * @version $Id: SeparatorHelperCreator.java 215 2007-06-06 03:59:41Z coconut $
 * @since CookFormLayout 1.0
 */
public class SeparatorHelperCreator implements Creator
{
	public Object create (String parentNS, String parentTag, Element elm, Object parentObj, DecodeEngine decodeEngine) throws CreatorException
	{
		return new SeparatorHelper ();
	}

	public Object editFinished (String parentNS, String parentTag, Element elm, Object parentObj, Object obj, DecodeEngine decodeEngine) throws CookXmlException
	{
		if (parentObj instanceof PanelBuilderHelper)
			((SeparatorHelper)obj).addToBuilder (((PanelBuilderHelper)parentObj).getFormBuilder ());
		else if (parentObj instanceof FormLayout)
		{
			CookXml cookXml = decodeEngine.getCookXml ();
			Object tmp = decodeEngine.getParent (parentObj);
			if (tmp != null && tmp instanceof Container)
				((SeparatorHelper)obj).addToFormLayout (cookXml, (Container)tmp);
		}
		else
		{
			CookXml cookXml = decodeEngine.getCookXml ();
			obj = ((SeparatorHelper)obj).getComponent (cookXml);
			decodeEngine.addChild (parentNS, parentTag, elm, parentObj, obj);
		}
		return obj;
	}
}
