/*
 * (c) Copyright 2004 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package examples.cookjface;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.viewers.TableViewer;
import org.eclipse.jface.window.ApplicationWindow;
import org.eclipse.swt.widgets.Display;

import cookxml.cookjface.CookJFace;
import cookxml.cookjface.ui.CJApplicationWindow;
import cookxml.core.exception.CookXmlException;

/**
 * @author Heng Yuan
 */
public class CookJFaceDemo
{
	public ApplicationWindow appWin;
	public TableViewer tableViewer;

	public Action openAction = new Action ()
	{
		public void run ()
		{
			appWin.setStatus ("Open...");
			System.out.println ("Open...");
		}
	};

	public Action exitAction = new Action ()
	{
		public void run ()
		{
			Display.getCurrent ().getActiveShell ().dispose ();
		}
	};

    public Action addAction = new Action ()
	{
		public void run ()
		{
			System.out.println ("tableViewer = " + tableViewer);
			//Table table = (Table)tableViewer.getTable ();
			//TableColumn col = new TableColumn (table, SWT.BORDER);
		}
	};

	public static void main (String[] args) throws CookXmlException
	{
		CookJFaceDemo demo = new CookJFaceDemo ();
		CookJFace cookJFace = new CookJFace (demo);
		final CJApplicationWindow aw = (CJApplicationWindow)cookJFace.xmlDecode ("examples/cookjface/xml/cookjfacedemo.xml");
		aw.setBlockOnOpen (true);
		aw.open ();
		Display.getCurrent ().dispose ();
	}
}
