/*
 * (c) Copyright 2004 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookswing.converter;

import java.awt.*;
import java.util.StringTokenizer;

import cookxml.core.DecodeEngine;
import cookxml.core.interfaces.Converter;

/**
 * Convert a string in "#,#" format to a Point.
 *
 * @cxdoc
 * The format is "<code>x,y</code>" or "<code>x y</code>" to specify
 * the x and y postions.
 *
 * @author Heng Yuan
 * @version $Id: PointConverter.java 233 2007-06-06 08:08:49Z coconut $
 * @since CookSwing 1.0
 */
public class PointConverter implements Converter
{
	public Object convert (String value, DecodeEngine decodeEngine)
	{
		StringTokenizer tokenizer = new StringTokenizer (value, ", ");
		String widthStr = tokenizer.nextToken ();
		String heightStr = tokenizer.nextToken ();
		return new Point (Integer.parseInt (widthStr), Integer.parseInt (heightStr));
	}
}
