/*
 * (c) Copyright 2007 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookswing.helper;

/**
 * @cxdoc
 * This tag is used to help setting the component properties.  It has two attributes,
 * name and value.  Both can be any objects.  These two attributes can also be set
 * through
 *
 *
 * @cxexample
 * <codeblock type="xml">
 * 	<!-- shrink the button to display just icon -->
 * 	<button icon="my.png">
 * 		<clientproperty name="hideActionText">
 * 			<boolean value="true"/>
 * 		</clientproperty>
 * 	</button>
 * </codeblock>
 *
 * @author Heng Yuan
 * @version $Id: ClientPropertyHelper.java 270 2007-06-10 20:42:10Z coconut $
 * @since CookSwing 1.5.1
 */
public class ClientPropertyHelper
{
	public Object name;
	public Object value;

	public void add (Object o)
	{
		if (name != null)
			name = o;
		else
			value = o;
	}
}
