/*
 * (c) Copyright 2004 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookswing.helper;

import cookxml.core.interfaces.NoAdd;

/**
 * This class is created merely to remember the location value for BorderLayout, CardLayout
 * and OverlayLayout.
 *
 * @author Heng Yuan
 * @version $Id: Constraint.java 215 2007-06-06 03:59:41Z coconut $
 * @since CookSwing 1.0
 */
public class Constraint implements NoAdd
{
	/** The location constraint for BorderLayout. */
	public String location;

	/**
	 * The name constraint for CardLayout.
	 * <p>
	 * This setter is used by CardLayout and OverlayLayout to set the name of the
	 * component.  We give it a different name so that it sounds better.
	 *
	 * @param   name
	 *          the name of the component
	 */
	public void setName (String name)
	{
		location = name;
	}
}
