/*
 * (c) Copyright 2004 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookswing.helper;

import java.awt.*;
import java.util.LinkedList;

import cookxml.core.interfaces.NoAdd;

/**
 * Helper class for constructing a grid using SpringLayout.
 *
 * @author Heng Yuan
 * @version $Id: SpringGridHelper.java 215 2007-06-06 03:59:41Z coconut $
 * @since CookSwing 1.0
 */
public class SpringGridHelper implements NoAdd
{
	/**
	 * If a springgrid is compact, the size of each row/column are determined by the fitness;
	 * otherwise, the size is even for all rows and columns.
	 */
	public boolean compact;
	/** The number of rows. */
	public int rows;
	/** The number fo columns. */
	public int columns;
	/** first component's starting position */
	public int initialX;
	/** first component's starting position */
	public int initialY;
	/** gap space */
	public int hgap;
	/** gap space */
	public int vgap;

	private LinkedList m_compList = new LinkedList ();

	/**
	 * Add the component to the container.
	 * 
	 * @param	c
	 * 			the child component.
	 */
	public void add (Component c)
	{
		if (c != null && !(m_compList.contains (c)))
			m_compList.add (c);
	}

	public LinkedList getComponents ()
	{
		return m_compList;
	}
}
