/*
 * (c) Copyright 2004 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookswing.helper;

import java.awt.*;
import javax.swing.*;

import cookxml.core.interfaces.NoAdd;

/**
 * This class is created to remember the title, icon, etc settings for adding a component
 * to a JTabbedPane.
 * 
 * @author Heng Yuan
 * @version $Id: TabHelper.java 215 2007-06-06 03:59:41Z coconut $
 * @since CookSwing 1.0
 */
public class TabHelper implements NoAdd
{
	/** The title of the tab. */
	public String title;
	/** The tab icon. */
	public Icon icon;
	/** The tab icon for the disabled state. */
	public Icon disabledIcon;
	/** The tooltip on the tab. */
	public String toolTipText;
	/** The tab foreground color. */
	public Color foreground;
	/** The tab background color. */
	public Color background;
	/**
	 * One of the value with "VK_" prefix in KeyEvent.
	 * @see java.awt.event.KeyEvent
	 */
	public Integer mnemonic;
	/** The index of the character in the title to be underlined. */
	public Integer displayedMnemonicIndex;
	/** Is the tab enabled. */
	public Boolean enabled;
}
