/*
 * (c) Copyright 2004 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookswing.helper;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.Border;

import cookxml.core.interfaces.Helper;

/**
 * Helper class for constructing a TitledBorder object.
 *
 * @cxhelper javax.swing.border.TitledBorder
 *
 * @author Heng Yuan
 * @version $Id: TitledBorderHelper.java 215 2007-06-06 03:59:41Z coconut $
 * @since CookSwing 1.0
 */
public class TitledBorderHelper implements Helper
{
	/** The title on the border. */
	public String title;
	/** The border to be used. */
	public Border border;
	/** Is the title justified. */
	public int titleJustification;
	/** The title position. */
	public int titlePosition;
	/** The title font. */
	public Font titleFont;
	/** The title color. */
	public Color titleColor;

	public Object getFinalObject ()
	{
		return BorderFactory.createTitledBorder (border, title, titleJustification, titlePosition, titleFont, titleColor);
	}

	/**
	 * Use the given border to under the title.
	 *
	 * @param	border
	 * 			the Border object to be used.
	 */
	public void add (Border border)
	{
		this.border = border;
	}
}
