/*
 */
package examples.cookswing;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;
import javax.swing.*;

import cookxml.cookswing.CookSwing;

/**
 * This class is used to quickly display the XML file specified in the command line
 * argument.
 * @author Heng Yuan
 */
public class QuickDemo
{
	public JFileChooser openFileChooser;

	public String msgCopyright = "CookSwing (c) 2004 by Heng Yuan.";

	public ActionListener exitAction = new ActionListener ()
	{
		public void actionPerformed (ActionEvent e)
		{
			System.exit (0);
		}
	};

	public ActionListener openAction = new ActionListener ()
	{
		public void actionPerformed (ActionEvent e)
		{
			openFileChooser.setCurrentDirectory (new File (System.getProperty ("user.dir")));
			openFileChooser.showOpenDialog (null);
		}
	};

	public ActionListener buttonAction = new ActionListener ()
	{
		public void actionPerformed (ActionEvent e)
		{
			JOptionPane.showMessageDialog (null, e.getActionCommand ());
		}
	};

	public ActionListener aboutAction = new ActionListener ()
	{
		public void actionPerformed (ActionEvent e)
		{
			JOptionPane.showMessageDialog (null, msgCopyright);
		}
	};

	public void doOpenXml (String input)
	{
		CookSwing cookSwing = new CookSwing (this);		// just to for hooking up buttonAction
		Container container = cookSwing.render (input);
		if (container == null)
			return;

		if (container instanceof JFrame ||
			container instanceof JDialog)
		{
			container.setVisible (true);
		}
		else
		{
			JFrame frame = (JFrame)cookSwing.render ("examples/cookswing/xml/frame.xml");
			frame.getContentPane ().add (container, BorderLayout.CENTER);
			frame.setVisible (true);
		}
	}

	public static void main (String[] args)
	{
		if (args.length == 0)
			return;
		QuickDemo demo = new QuickDemo ();
		demo.doOpenXml ("examples/cookswing/xml/" + args[0]);
	}
}
