/*
 * (c) Copyright 2005 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookswt;

import cookxml.common.CommonLib;
import cookxml.core.taglibrary.InheritableTagLibrary;

/**
 * This is an internal class that holds the default Swing tag library instance.
 *
 * @since CookSwt 1.3
 * @author Heng Yuan
 */
class CookSwtLibSingleton
{
	private static InheritableTagLibrary s_swtTagLib;

	static
	{
		try
		{
			s_swtTagLib = CookSwtLib.createTagLibrary (CommonLib.getSingletonTagLibrary ());
		}
		catch (Exception ex)
		{
			ex.printStackTrace ();
		}
	}

	public static InheritableTagLibrary getTagLibrary ()
	{
		return s_swtTagLib;
	}
}
