/*
 * (c) Copyright 2004 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookswt.adder;

import org.eclipse.swt.widgets.Control;

import cookxml.core.DecodeEngine;
import cookxml.core.exception.AdderException;
import cookxml.core.interfaces.Adder;

/**
 * This Adder adds a layout constraint to a child control.  The name is slightly misleading.
 *
 * @since CookSwt 1.0
 * @author Heng Yuan
 */
public class LayoutDataAdder implements Adder
{
	private final static Adder s_instance = new LayoutDataAdder ();

	public static Adder getInstance ()
	{
		return s_instance;
	}

	private LayoutDataAdder ()
	{
	}

	public boolean add (String ns, String parentTag, Object parent, Object child, DecodeEngine decodeEngine) throws AdderException, Exception
	{
		if (child == null || !(child instanceof Control))
			return false;

		((Control) child).setLayoutData (parent);
		return true;
	}
}
