/*
 * (c) Copyright 2004 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookswt.helper;

import org.eclipse.swt.graphics.Cursor;
import org.eclipse.swt.graphics.ImageData;
import org.eclipse.swt.widgets.Display;

import cookxml.core.interfaces.Helper;

/**
 * Helper class for constructing a Cursor object.
 *
 * @cxhelper	org.eclipse.swt.graphics.Cursor
 * 
 * @see Cursor
 * @see cookxml.cookswt.converter.CursorConverter
 * @author Heng Yuan
 * @version $Id: CursorHelper.java 237 2007-06-06 15:15:57Z coconut $
 * @since CookSwt 1.0
 */
public class CursorHelper implements Helper
{
	/** The predefined cursor name. */
	public Cursor type;
	/** The custom cursor image. */
	public ImageData src;
	/** The custom cursor mask. */
	public ImageData mask;
	/** The custom cursor pointer location x. */
	public int x;
	/** The custom cursor pointer location y. */
	public int y;

	public Object getFinalObject ()
	{
		if (type != null)
			return type;
		if (src != null)
		{
			if (mask == null)
				return new Cursor (Display.getCurrent (), src, x, y);
			return new Cursor (Display.getCurrent (), src, mask, x, y);
		}
		return null;
	}
}
