/*
 * (c) Copyright 2004 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookswt.helper;

import org.eclipse.swt.layout.FormData;
import org.eclipse.swt.widgets.Control;

import cookxml.core.interfaces.Helper;

/**
 * This helper object is used to obtain the FormData settings and apply it to the
 * control specified.
 *
 * @cxhelper	org.eclipse.swt.layout.FormData
 *
 * @see FormData
 * @author Heng Yuan
 * @version $Id: FormDataHelper.java 237 2007-06-06 15:15:57Z coconut $
 * @since CookSwt 1.0
 */
public class FormDataHelper implements Helper
{
	public FormAttachmentHelper bottom;
	public FormAttachmentHelper top;
	public FormAttachmentHelper left;
	public FormAttachmentHelper right;
	public Integer height;
	public Integer width;

	public Control control;

	public void setLayout ()
	{
		if (control == null)
			return;

		FormData formData;
		if (height != null && width != null)
			formData = new FormData (height.intValue (), width.intValue ());
		else
			formData = new FormData ();

		if (top != null)
			formData.top = top.getFormAttachment ();
		if (bottom != null)
			formData.bottom = bottom.getFormAttachment ();
		if (left != null)
			formData.left = left.getFormAttachment ();
		if (right != null)
			formData.right = right.getFormAttachment ();

		control.setLayoutData (formData);
	}

	public void add (Control control)
	{
		this.control = control;
	}

	public Object getFinalObject ()
	{
		setLayout ();
		return null;
	}
}
