/*
 * (c) Copyright 2004 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookswt.setter;

import org.eclipse.swt.widgets.Widget;

import cookxml.core.DecodeEngine;
import cookxml.core.interfaces.Setter;

/**
 * This setter is used to set color attributes and install a ColorDisposeListener at the same
 * time.
 *
 * @see cookxml.cookswt.util.ColorDisposeListener
 * @author Heng Yuan
 * @version $Id: DataSetter.java 221 2007-06-06 06:44:13Z coconut $
 * @since CookSwt 1.0
 */
public class DataSetter implements Setter
{
	public void setAttribute (String ns, String tag, String attrNS, String attr, Object obj, Object value, DecodeEngine decodeEngine)
	{
		if (obj == null || attr == null || value == null ||
			!(obj instanceof Widget))
			return;
		((Widget)obj).setData (attr, value);
	}
}
