/*
 * (c) Copyright 2004 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookswt.util;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.graphics.Rectangle;
import org.eclipse.swt.widgets.Menu;
import org.eclipse.swt.widgets.ToolItem;

/**
 * This listener moves the drop down menu right below the ToolItem and displays it.
 *
 * @author Heng Yuan
 * @version $Id: DropDownListener.java 217 2007-06-06 06:00:53Z coconut $
 * @since CookSwt 1.0
 */
public class DropDownListener extends SelectionAdapter
{
	private final Menu m_menu;

	public DropDownListener (Menu menu)
	{
		m_menu = menu;
	}

	public void widgetSelected (SelectionEvent e)
	{
		if (e.detail != SWT.ARROW ||
			!(e.getSource () instanceof ToolItem))
			return;

		ToolItem item = (ToolItem) e.getSource ();
		Rectangle rect = item.getBounds ();
		Point pt = new Point (rect.x, rect.y + rect.height);
		pt = item.getParent ().toDisplay (pt);
		m_menu.setLocation (pt);
		m_menu.setVisible (true);
	}
}
