/*
 */
package examples.cookswt;

import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;

import cookxml.cookswt.CookSwt;
import cookxml.cookswt.util.SwtUtils;
import cookxml.core.exception.CookXmlException;

/**
 * This class is used to quickly display the XML file specified in the command line
 * argument.
 *
 * @author Heng Yuan
 */
public class QuickDemo
{
	public String msgCopyright;

	public SelectionListener exitAction = new SelectionAdapter ()
	{
		public void widgetSelected (SelectionEvent e)
		{
			Display.getCurrent ().getShells ()[0].dispose ();
		}
	};

	public SelectionListener openAction = new SelectionAdapter ()
	{
		public void widgetSelected (SelectionEvent e)
		{
		}
	};

	public SelectionListener buttonAction = new SelectionAdapter ()
	{
		public void widgetSelected (SelectionEvent e)
		{
			System.out.println (e.getSource ());
		}
	};

	public SelectionListener aboutAction = new SelectionAdapter ()
	{
		public void widgetSelected (SelectionEvent e)
		{
			System.out.println (msgCopyright);
		}
	};

	public void doOpenXml (String input) throws CookXmlException
	{
		CookSwt cookSwt = new CookSwt (this);		// just to for hooking up buttonAction
		Display display = (Display) cookSwt.xmlDecode ("examples/cookswt/xml/frame.xml");
		Shell shell = display.getShells ()[0];
		Object obj = cookSwt.xmlDecode (input, null, "shell", shell);
		if (obj instanceof Display)
		{
			if (display != obj)
			{
				// this part apparently is not necessary since there can be only one Display
				display.dispose ();
				display = (Display) obj;
			}
			else
			{
				Shell[] shells = display.getShells ();
				// remove the shell we created since user has its own shell to use
				if (shells.length > 1)
					shell.dispose ();
			}
		}
		else if (obj instanceof Shell)
		{
			if (shell != obj)
			{
				shell.dispose ();
				shell = (Shell) obj;
				Display d = shell.getDisplay ();
				if (display != d)
				{
					display.dispose ();
					display = d;
				}
			}
		}

		SwtUtils.showDisplay (display);
	}

	public static void main (String[] args) throws CookXmlException
	{
		if (args.length == 0)
			return;
		QuickDemo demo = new QuickDemo ();
		demo.doOpenXml ("examples/cookswt/xml/" + args[0]);
	}
}
