/*
 * (c) Copyright 2007 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookxmldoc.htmldoclet.highlighter;

import javax.swing.text.Segment;

/**
 * This is a dummy highlighter which marks everything as a plain text.
 *
 * @author Heng Yuan
 * @version $Id: PlainTextTokenMarker.java 215 2007-06-06 03:59:41Z coconut $
 * @since CookXml 0.1
 */
public class PlainTextTokenMarker extends TokenMarker
{
	public boolean supportsMultilineTokens ()
	{
		return true;
	}

	protected byte markTokensImpl (byte token, Segment line, int lineIndex)
	{
		addToken (line.count, Token.COMMENT1);
		return Token.NULL;
	}
}
