/*
 * (c) Copyright 2006 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookxmldoc.impl;

import java.lang.reflect.Member;

import cookxml.cookxmldoc.interfaces.AdderDoc;
import cookxml.cookxmldoc.interfaces.TagDoc;
import cookxml.core.interfaces.Adder;

/**
 * @author Heng Yuan
 * @since CookXmlDoc 0.1
 */
public class AdderDocImpl implements AdderDoc
{
	private TagDocImpl m_tagDoc;
	private final Adder m_adder;
	private String m_docComment = "";
	private String m_tagComment = "";
	private Class m_childClass;
	private Member m_member;

	public AdderDocImpl (TagDocImpl tagDoc, Adder adder)
	{
		m_tagDoc = tagDoc;
		m_adder = adder;
	}

	public TagDoc getTag ()
	{
		return m_tagDoc;
	}

	public void setDocComment (String docComment)
	{
		if (docComment != null && ((docComment = docComment.trim ()).length () > 0))
			m_docComment = docComment;
	}

	public String getDocComment ()
	{
		return m_docComment;
	}

	public void setTagComment (String tagComment)
	{
		if (tagComment != null && ((tagComment = tagComment.trim ()).length () > 0))
			m_tagComment = tagComment;
	}

	public String getTagComment ()
	{
		return m_tagComment;
	}

	public Adder getAdder ()
	{
		return m_adder;
	}

	public void setChildClass (Class childClass)
	{
		m_childClass = childClass;
	}

	public Class getChildClass ()
	{
		return m_childClass;
	}

	public void setMember (Member member)
	{
		m_member = member;
	}

	public Member getMember ()
	{
		return m_member;
	}
}
