/*
 * (c) Copyright 2006 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookxmldoc.interfaces;

/**
 * OptionParser is used in parsing user command line arguments.
 * It's toString () function is used to print usage.
 *
 * @author Heng Yuan
 * @since CookXmlDoc 0.1
 */
public interface OptionParser
{
	/**
	 * This function parses the argument at the current index.
	 * If this function recognizes the argument, it would return
	 * the number of arguments being read.  Otherwise, just return
	 * 0 to indicate that it was not handled.
	 *
	 * @param	args
	 *			the command line arguments.
	 * @param	index
	 *			the current index of the argument being handled at.
	 * @return	the number of arguments being processed.
	 * @throws	Exception
	 *			in case of error.
	 */
	public int handleOption (String[] args, int index) throws Exception;
}
