/*
 * (c) Copyright 2006 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookxslt;

/**
 * @author Heng Yuan
 */
public class Debug
{
	public static boolean println (String msg)
	{
		System.out.println (msg);
		return true;
	}

	public static boolean printMessage (String function, int line, String msg)
	{
		System.out.println (function + ":" + line + "> " + msg);
		return true;
	}

	public static boolean printMessage (String functionWithLineNum, String msg)
	{
		System.out.println (functionWithLineNum + "> " + msg);
		return true;
	}

	public static boolean debug (String msg)
	{
		Throwable t = new Throwable ();
		StackTraceElement elm = t.getStackTrace ()[1];
		return printMessage (elm.getClassName () + "." + elm.getMethodName (), elm.getLineNumber (), msg);
	}

	public static boolean debug (String caller, String msg)
	{
		Throwable t = new Throwable ();
		StackTraceElement elm = t.getStackTrace ()[1];
		if (caller.equals (elm.getClassName () + "." + elm.getMethodName ()))
			printMessage (caller, elm.getLineNumber (), msg);
		return true;
	}
}
