/*
 * (c) Copyright 2006 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookxslt;

import org.w3c.dom.Element;

import cookxml.cookxslt.creator.GeneralTagCreator;
import cookxml.core.DecodeEngine;
import cookxml.core.interfaces.Creator;
import cookxml.core.interfaces.SpecialCreator;

/**
 * @author Heng Yuan
 */
class XSpecialCreator implements SpecialCreator
{
	public Creator getCreator (DecodeEngine decodeEngine, String parentNS, String parentTag, Element elm, Object parentObj)
	{
		if (!CookXSLTLib.NAMESPACE.equals (elm.getNamespaceURI ()))
			return GeneralTagCreator.getInstance ();
		return null;
	}
}
