/*
 * (c) Copyright 2006 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.cookxslt.helper;

import java.util.LinkedList;

import org.w3c.dom.Element;
import org.w3c.dom.Node;

/**
 * @author Heng Yuan
 */
public class GeneralTagHelper implements XSLTHelper
{
	private Element m_elm;
	private LinkedList m_list = new LinkedList ();

	public GeneralTagHelper (Element elm)
	{
		m_elm = elm;
	}

	public Element getElement ()
	{
		return m_elm;
	}

	public void add (Object obj)
	{
		m_list.add (obj);
	}

	public void process (StyleSheet ss, Node node) throws Exception
	{
		Element element = m_elm;

		// first we print the current element to the output
		//ss.output (element.toString ());
		ss.output ("<" + element.getLocalName () + ">");

		ss.execute (node, m_list, element);

		ss.output ("</" + element.getLocalName () + ">");
	}
}
