/*
 * (c) Copyright 2004 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.core;

/**
 * Used by the CookXml id cache to maintain the relationship between id, object and remember
 * the original namespace and tag.
 *
 * @author Heng Yuan
 * @version $Id: IdReference.java 244 2007-06-07 04:29:13Z coconut $
 * @since CookXml 1.0
 */
public class IdReference
{
	public final String id;
	/**
	 * The tag namespace.
	 *
	 * @since CookXml 3.0
	 */
	public final String namespace;
	public final String tag;
	public final Object object;

	public IdReference (String id, String ns, String tag, Object object)
	{
		this.id = id;
		this.namespace = ns;
		this.tag = tag;
		this.object = object;
	}
}
