/*
 * (c) Copyright 2004 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.core.adder;

import cookxml.core.interfaces.Adder;

/**
 * This adder provides a usual way for adding an object created from a child element to
 * the object created from the parent element.  This adder is used by DecodeEngine.
 *
 * @author Heng Yuan
 * @version $Id: DefaultAdder.java 223 2007-06-06 06:51:30Z coconut $
 * @since CookXml 1.0
 */
public class DefaultAdder
{
	public static String FUNCTION = "add";

	private final static Adder s_instance = new CallFunctionAdder (FUNCTION, null, null);

	public static Adder getInstance ()
	{
		return s_instance;
	}

	private DefaultAdder ()
	{
	}
}
