/*
 * (c) Copyright 2007 by Heng Yuan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
package cookxml.core.util;

import java.util.HashSet;
import java.util.Iterator;
import java.util.Map;

/**
 * @author Heng Yuan
 * @version $Id: DocletUtils.java 255 2007-06-10 07:08:13Z coconut $
 * @since CookXml 3.1
 */
public class DocletUtils
{
	/**
	 * Merge two maps.  Note that the two input maps may be modified.
	 * The maps are map<String,String[]>.  Map values cannot be
	 * null.
	 *
	 * @param	map1 a non-null attribute map
	 * @param	map2 a non-null attribute map
	 * @return the merged map.
	 */
	public static Map mergeMap (Map map1, Map map2)
	{
		for (Iterator iter = map2.entrySet ().iterator (); iter.hasNext ();)
		{
			Map.Entry entry = (Map.Entry)iter.next ();
			Object ns = entry.getKey ();
			if (map1.get (ns) == null)
				map1.put (ns, entry.getValue ());
			else
			{
				HashSet set = new HashSet ();
				String[] array;
				array = (String[])map1.get (ns);
				for (int i = 0; i < array.length; ++i)
					set.add (array[i]);
				array = (String[])entry.getValue ();
				for (int i = 0; i < array.length; ++i)
					set.add (array[i]);
				map1.put (ns, set.toArray (new String[set.size ()]));
			}
		}
		return map1;
	}
}
